Jump to content
Agcristal

[1.2.5.0 -> 1.5.4.1] C'est possible ça ?

Recommended Posts

Bonjour,

 

J'ai une boutique Prestashop qui tourne depuis début 2010, que je n'ai JAMAIS mise à jour...

 

J'en suis resté à la version 1.2.5.0...

 

Il y a des fonctions dans les dernières versions qui me seraient bien utiles aujourd'hui, mais je ne sais pas du tout si il est possible de mettre tout ça à jour sans crainte de voir un blocage absolu de ma boutique, ou perte éventuelle de données, etc.

 

Surtout que bon.... J'ai un fichier de presque 1900 clients, beaucoup de produits en lignes, etc.

 

En bref, est-ce un rêve d'imaginer que je puisse migrer de 1.2.5.0 vers 1.5.4.1 ?

 

Ou dois-je tout réinstaller ? <_<

 

En vous remerciant pour les indications que vous pourrez me donner, qu'elles soient bonnes ou (j'espère pas) mauvaises. ^_^

Share this post


Link to post
Share on other sites

Bonjour,

 

Biensur c'est tout à fait possible je l'ai fais pour cette boutique [Modéré]

ça demande une bonne préparation par contre, j'ai fait chaque mise à jours manuellement jusqu'à la 1.4 et ensuite j'ai pu utiliser le module de mise à jours.

 

Si vous souhaitez faire appel à un prestataire n'hésitez pas à me contacter sur le live chat du site [Modéré]

Share this post


Link to post
Share on other sites

Bonjour,

 

Biensur c'est tout à fait possible je l'ai fait pour cette boutique

 

ça demande une bonne préparation par contre, j'ai fait chaque mise à jours manuellement jusqu'à la 1.4 et ensuite j'ai pu utiliser le module de mise à jours.

 

Si vous souhaitez faire appel à un prestataire n'hésitez pas à me contacter sur le live chat du site

 

Bonjour

 

Merci de respecter les règles du forum dont extrait :

 

Pas de publicité

La publicité est autorisée exclusivement dans le forum "Appels d’offres et prestations" et "Modules et Thèmes payants", et jamais dans le topic d’un autre prestataire.

Si vous faites de la pub pour un site proposant vos prestations, celui-ci doit contenir les informations prouvant que vous êtes déclaré (Mentions légales, RCS, SIRET, etc.).

 

Liens externes

Les liens vers un site proposant des produits payants sont autorisée exclusivement dans le forum "Appels d’offres et prestations". Un tel lien devra pointer précisément vers la fiche du produit concerné.

 

http://www.prestasho...s-dutilisation/

Share this post


Link to post
Share on other sites

Bonjour,

 

Un peu de zèle de bon matin ça met tout de suite du cœur à l'ouvrage, ta juste oublié de modérer le lien dans ta citation ;)

Share this post


Link to post
Share on other sites

J'ai également fait quelques mises à jour PS 1.2 -> PS 1.4 ou 1.5 et en ce moment, je suis même en train de finaliser une mise à jour PS 1.1.0.5 -> 1.5.4.1 ! Et ça se passe très bien (avec un passage en 1.4.9 intermédiaire, fait en manuel)

 

Donc oui, un (grand) saut 1.2.5 -> 1.5.4.1 c'est tout à fait possible !

Share this post


Link to post
Share on other sites

Merci pour vos réponses.

 

Donc on doit impérativement passer par les mises à jour intermédiaires j'imagine ?

 

Ces mises à jour anciennes sont toujours disponible ?

 

Merci encore.

Share this post


Link to post
Share on other sites

Ha merci bien, je ne trouvais pas toutes ces versions antérieures.

 

Bon et bien il ne reste plus qu'à me préparer psychologiquement et me mettre au boulot en croisant les doigts. :lol:

Share this post


Link to post
Share on other sites

pas nécessaire de passer toutes les mises à jour intermédiaires ! moi je passe par exemple de 1.1 à 1.4.9 "manuellement" pour pouvoir faire le "déplacer les images" puis 1-click update pour passer de 1.4.9 à 1.5.4.1.

  • Like 1

Share this post


Link to post
Share on other sites

oui, j'ai fait ça dernièrement pour faire une MAJ 1.1 -> 1.5 :)

et pour des 1.2 ou 1.3 -> 1.4, idem, en une fois

pour passer à la 1.5, je passe juste par une 1.4.x intermédiaire, car je n'ai pas trouvé dans les dernières 1.5.x la possibilité de passer à la nouvelle organisation d'images dans /img/p. Donc dans ces cas là, un petit passage en 1.4.9 par exemple, juste pour déplacer les images, et re-maj pour la 1.5

  • Like 1

Share this post


Link to post
Share on other sites

Mise à jour d'un tel écart en une seule fois ? Wahouuu ça me laisse rêveur !

 

En fait là j'hésite à lancer le truc. Je songe simplement à récupérer mes adresses clients, comptes clients et importer le tout dans la dernière version de Prestashop fraîchement installée.

 

Ou alors ce que je pourrais essayer de faire, c'est une copie complète de ma boutique et bricoler dessus pour voir, genre essayer de faire une mise à jour à la Johann. Mais je crains de ne pas savoir faire ça...

 

Me taper toutes les mises à jour intermédiaires, ça va me prendre quoi.... 10 jours à temps complet ? :blink:

Share this post


Link to post
Share on other sites

car je n'ai pas trouvé dans les dernières 1.5.x la possibilité de passer à la nouvelle organisation d'images dans /img/p

 

Hello,

 

Cela a été corrigé pour la 1.5.5, si le shop vient d'une mise à jour ce bouton de transfert sera apparent. Si c'est une installation fraîche, le bouton n'apparait plus.

 

Je confirme le plus simple est de passer par une 1.4.11 intermédiaire puis en 1.5 si vous venez d'une 1.2 ou 1.3. Il n'est pas obligatoire comme chez Wordpress ou PHPBB de faire chaque version une par une.

 

Cordialement

  • Like 1

Share this post


Link to post
Share on other sites

Ah c'est cool, ça Gregory ! Vivement cette 1.5.5, alors ! Car j'ai encore quelques clients en versions très anciennes à migrer !

Share this post


Link to post
Share on other sites

Grégory, j'ai fait une mise à jour 1.4.8.2 -> 1.5.5.0 ce soir, avec le module autoupgrade 1.1.6

Et bien les images qui étaient à l'ancien format le sont resté, et toujours impossible de les déplacer a posterio. J'ai bien vu le if dans le controleur des images, je l'ai viré, mais après, impossible de trouver où passer à "non" le param "utiliser l'ancien système" qui était avant dans les préférences des images. Pour gagner du temps, j'ai restauré en 1.4.8.2, déplacé, mis à "non" "l'ancien système" et refait la mise à jour

Share this post


Link to post
Share on other sites

Oui c'est une autre façon de faire tout à fait pour contourner le problème.

 

Normalement ce passage à non est fait par l'autoupgrade en passant PS_LEGACY_IMAGES à 0 dans la base de donnée. Cette option n'est plus disponible en Back office par contre pas la peine de la chercher.

 

Et normalement en supprimant ce if, tout en bas du sous onglet images (ce contrôleur), il y a l'encart de déplacement (sauf avec safe_mode à on). On a un peu changé cette partie de code https://github.com/PrestaShop/PrestaShop/commit/54f7c6516558ce1a5e55c963546a69480bb8c63d pour afficher ou non l’encart suivant une autre méthode.

 

Cordialement

Share this post


Link to post
Share on other sites

Bonjour,

 

quelqu'un aurait une sorte de tuto pour faire une mise à jour à partir de la version 1.2.5.0 vers la version actuelle, j'ai cru comprendre qu'il fallait faire des mises à jour manuelles entre chaque version intermédiaire....

 

comment faire ?

Share this post


Link to post
Share on other sites

Bonjour,

 

quelqu'un aurait une sorte de tuto pour faire une mise à jour à partir de la version 1.2.5.0 vers la version actuelle, j'ai cru comprendre qu'il fallait faire des mises à jour manuelles entre chaque version intermédiaire....

 

comment faire ?

 

c'est pourtant bien écrit en clair plusieurs fois dans ce thread : PAS BESOIN DE PASSER PAR CHAQUE VERSION INTERMEDIAIRE !

grrr... des fois, c'est à se demander pourquoi on répond...

Edited by Johann (see edit history)

Share this post


Link to post
Share on other sites

Bonjour,

 

Je suis sous prestashop 1.2 et souhaite migrer sur la version 1.5 par exemple avec installation d'un template mais on me conseille de refaire le site au lieu de passer par les mises à jour.

 

Ensuite de procéder par redirections 301 pour ne pas perdre le référencement des fiches produits.

 

Qu'en pensez-vous ?

 

Merci

Share this post


Link to post
Share on other sites

Moi j'en pense que c'est connerie sans nom ! Les mises à jour sont faites pour... mettre à jour !

J'ai fait des dizaines de mises à jour PS 1.2/1.3/1.4 vers 1.5, en changeant effectivement le thème au passage, mais il n'y a aucun besoin de faire des redirections 301 si ta boutique n'est qu'en français. Dans ce cas, les URLs ne changeront pas, donc pas de 301 à faire

Share this post


Link to post
Share on other sites

Merci pour votre réponse.

Ok !

J'ai vu que la version 1.6 va bientôt sortir : n' est t'il pas préférable d'attendre la version 1.6 pour faire la mise à jour et la personnalisation graphique ?

 

Merci beaucoup !

Share this post


Link to post
Share on other sites

Je ne pense pas que la version 1.6 sorte avant l'été. Donc si tu n'es pas pressé, pourquoi pas.

Sinon, cette version 1.6 reprendra le coeur de 1.5. Les seuls changements devraient être au niveau du backoffice et du thème.

Mais je ne sais pas si les thèmes 1.5 seront compatibles (à 100% ou moins) avec la 1.6

Donc pas facile de te conseiller sur ce point là !

De mon coté, je continue à migrer des clients en 1.5.6.2 actuellement, et je les ferai passer en 1.6.x quelques mois après la sortie de la 1ere version 1.6

Share this post


Link to post
Share on other sites

Bonjour,

 

http://doc.prestashop.com/pages/viewpage.action?pageId=11272342

 

Migrez vers une 1.4.11.0 avec son installeur puis vers une 1.5 avec le module d'upgrade (à jour svp)

 

Cordialement

 

Bonjour, je tente de mettre a jour une version 1.3.1.1 vers la 1.4.11.0 afin de migrer ensuite vers la 1.6 via le lien ci dessus, 

 

j'ai suivi scrupuleusement les étapes indiquées , l'installeur indique que tout est ok (cases vertes cochées)  mais l'installeur reste bloqué sur le loading (flèches tournantes) et ce depuis 1h30 environ ... est ce normal que cela soit si long ?

 

sinon que puis j e faire ? 

 

merci d'avance pour votre aide.

Share this post


Link to post
Share on other sites

Ah non ce n'est pas normal !

 

Il faudrait regarder vos logs d'erreur Apache je pense.

 

Sinon vous avez essayé avec le module d'upgrade 1.3 vers 1.5.6.2 ?

 

Cordialement

Share this post


Link to post
Share on other sites

Bonjour, j'ai un BIG soucis, j'ai essayé en manuel les mises à jour et j'ai la BDD qui bug à chaque fois !

Je dois mettre à jour la 1.0.1.2 vers la 1.5.2 mais cela fais un mois maintenant que j'y suis et j'ai toujours le problème de la base de donnée qui me fait toujours des erreurs en importation !

 

:'(

Share this post


Link to post
Share on other sites

Bonjour, j'ai un BIG soucis, j'ai essayé en manuel les mises à jour et j'ai la BDD qui bug à chaque fois !

 

Je dois mettre à jour la 1.0.1.2 vers la 1.5.2 mais cela fais un mois maintenant que j'y suis et j'ai toujours le problème de la base de donnée qui me fait toujours des erreurs en importation !

 

:'(

Bonjour

 

Créez un nouveau topic et expliquez pas à pas comment vous avez fait.

En espérant aussi que vous ayez encore une sauvegarde originelle :)

 

De quel version à vers quel version.

Edited by Oron (see edit history)

Share this post


Link to post
Share on other sites

Bonjour

 

Créez un nouveau topic et expliquez pas à pas comment vous avez fait.

En espérant aussi que vous ayez encore une sauvegarde originelle :)

 

De quel version à vers quel version.

 

 

Merci je fais ça.

 

:)

Share this post


Link to post
Share on other sites

Bonjour,

J'ai suivi le doc de mise à jour manuelle de prestashop http://doc.prestasho...pageId=11272350 par contre au niveau de "Compatibilité système" le temps de l'installation il m'affiche cet errer la:

 

Une ou plusieurs erreurs sont apparues, vous trouverez plus d'informations ci-dessous ou dans le fichier log/installation.log

 

Error during install/upgrade: ( ! ) Deprecated: mysql_connect(): The mysql extension is deprecated and will be removed in the future: use mysqli or PDO instead in C:\wamp\www\pets_dating_PREP\classes\MySQL.php on line 33 Call Stack #TimeMemoryFunctionLocation 10.0010291064{main}( )..\model.php:0 20.0050775120ConfigurationCore::loadConfiguration( )..\model.php:77 30.0060855200DbCore::getInstance( )..\Configuration.php:323 40.0080959360DbCore->__construct( )..\Db.php:86 50.0080959392MySQLCore->connect( )..\Db.php:109 60.0080959440mysql_connect ( )..\MySQL.php:33 

You may have to:

  1. Fix the error(s) displayed
  2. Put your database backup
  3. Modify the file settings.inc.php to put the old version for the line with _PS_VERSION_
  4. Restart the upgrade process from the begining

 

 

 

 

 

Comment dois-je faire ????

Merci d'avance 

Share this post


Link to post
Share on other sites

Bonjour,

J'ai suivi le doc de mise à jour manuelle de prestashop de version 1.2 à la version  1.4  http://doc.prestasho...pageId=11272350 par contre au niveau de "Compatibilité système" le temps de l'installation il m'affiche cet errer la:

 

Une ou plusieurs erreurs sont apparues, vous trouverez plus d'informations ci-dessous ou dans le fichier log/installation.log

 

Error during install/upgrade: ( ! ) Deprecated: mysql_connect(): The mysql extension is deprecated and will be removed in the future: use mysqli or PDO instead in C:\wamp\www\pets_dating_PREP\classes\MySQL.php on line 33 Call Stack #TimeMemoryFunctionLocation 10.0010291064{main}( )..\model.php:0 20.0050775120ConfigurationCore::loadConfiguration( )..\model.php:77 30.0060855200DbCore::getInstance( )..\Configuration.php:323 40.0080959360DbCore->__construct( )..\Db.php:86 50.0080959392MySQLCore->connect( )..\Db.php:109 60.0080959440mysql_connect ( )..\MySQL.php:33 

You may have to:

  1. Fix the error(s) displayed
  2. Put your database backup
  3. Modify the file settings.inc.php to put the old version for the line with _PS_VERSION_
  4. Restart the upgrade process from the begining

 

 

 

 

 

Comment dois-je faire ????

Merci d'avance 

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More